Items - Get Digital Twin Builder Definition
Returns the specified DigitalTwinBuilder public definition.
Note
Digital Twin Builder item is currently in Preview (learn more).
This API supports long running operations (LRO).
When you get a digitaltwinbuilder public definition, the sensitivity label is not a part of the definition.
Permissions
The caller must have read and write permissions for the digital twin builder.
Required Delegated Scopes
DigitalTwinBuilder.ReadWrite.All or Item.ReadWrite.All
Limitations
This API is blocked for a digitaltwinbuilder with an encrypted sensitivity label.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | No |
Interface
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/digitaltwinbuilders/{digitaltwinbuilderId}/getDefinition
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/digitaltwinbuilders/{digitaltwinbuilderId}/getDefinition?format={format}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
digitaltwinbuilder
|
path | True |
string (uuid) |
The digitaltwinbuilder ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
|
format
|
query |
string |
The format of the DigitalTwinBuilder public definition. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 202 Accepted |
Request accepted. Retrieving the definition is in progress. Headers
|
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Get a digitaltwinbuilder definition example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/digitaltwinbuilders/5b218778-e7a5-4d73-8187-f10824047715/getDefinition
Sample response
{
"definition": {
"parts": [
{
"path": "definition.json",
"payload": "ew0KICAibGFrZWhvdXNlSWQiOiAiYjliNWQzNmYtNDQ0NS00MDNiLWFjODctMDE2YjFjZDIwMjExIg0KfQ==",
"payloadType": "InlineBase64"
},
{
"path": ".platform",
"payload": "ZG90UGxhdGZvcm1CYXNlNjRTdHJpbmc=",
"payloadType": "InlineBase64"
}
]
}
}
Location: https://api.fabric.microsoft.com/v1/operations/0acd697c-1550-43cd-b998-91bfbfbd47c6
x-ms-operation-id: 0acd697c-1550-43cd-b998-91bfbfbd47c6
Retry-After: 30
Definitions
| Name | Description |
|---|---|
|
Digital |
DigitalTwinBuilder public definition object. Refer to this article for more details on the structure of the DigitalTwinBuilder definition. |
|
Digital |
DigitalTwinBuilder definition part object. |
|
Digital |
DigitalTwinBuilder public definition response. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Payload |
The type of the definition part payload. Additional payload types may be added over time. |
DigitalTwinBuilderDefinition
DigitalTwinBuilder public definition object. Refer to this article for more details on the structure of the DigitalTwinBuilder definition.
| Name | Type | Description |
|---|---|---|
| format |
string |
The format of the digital twin builder definition. |
| parts |
A list of definition parts. |
DigitalTwinBuilderDefinitionPart
DigitalTwinBuilder definition part object.
| Name | Type | Description |
|---|---|---|
| path |
string |
The DigitalTwinBuilder part path. |
| payload |
string |
The DigitalTwinBuilder part payload. |
| payloadType |
The payload type. |
DigitalTwinBuilderDefinitionResponse
DigitalTwinBuilder public definition response.
| Name | Type | Description |
|---|---|---|
| definition |
DigitalTwinBuilder public definition object. Refer to this article for more details on the structure of the DigitalTwinBuilder definition. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
PayloadType
The type of the definition part payload. Additional payload types may be added over time.
| Value | Description |
|---|---|
| InlineBase64 |
Inline Base 64. |